BoundaryCrossing.CrossingIntersection (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class BoundaryCrossing.CrossingIntersection

    java.lang.Object
      com.bbn.openmap.geo.Intersection
          com.bbn.openmap.geo.BoundaryCrossing.CrossingIntersection

Enclosing class:
  BoundaryCrossing

    public static class BoundaryCrossing.CrossingIntersection

extends Intersection

A Intersection class that knows how to call BoundaryCrossing.Collector to keep track of the path's relationship with the regions.

Field Summary

Fields inherited from class com.bbn.openmap.geo.Intersection
`collector, filter`

Constructor Summary
`BoundaryCrossing.CrossingIntersection(BoundaryCrossing.Collector collector)`

Method Summary
`boolean` | `considerSegmentXRegion(GeoSegment segment, GeoRegion region)` Calls Intersection.isSegmentNearRegion() to see if segment is near the region.

Methods inherited from class com.bbn.openmap.geo.Intersection
`center, center, center, center, consider, considerPathXRegion, considerPathXRegions, considerPointXRegion, considerPointXRegions, considerRegionXRegion, considerRegionXRegions, getCollector, getFilter, getIntersection, getIntersection, getIntersectionGeo, getSegIntersection, getSegIntersection, intersect, intersector, intersector, intersector, intersector, intersects, intersectsCircle, intersectsCircle, intersectsCircle, isOnSegment, isOnSegment, isPointInPolygon, isPointInPolygon, isPointInPolygon, isPointInPolygon, isPointNearPoly, isPolylineInsidePolygon, isPolyNearPoly, isSegmentNearPoly, isSegmentNearPoly, isSegmentNearPolyRegion, isSegmentNearPolyRegion, isSegmentNearRadialRegion, isSegmentNearRadialRegion, isSegmentNearRegion, isSelfIntersectingPoly, isSelfIntersectingPoly, main, pointCircleDistance, pointCircleDistanceNM, pointSegDistance, pointSegDistanceNM, polyIntersect_optimized, polyIntersect, polyIntersect, polyNearPoly, segIntersection, segIntersects, segmentNearPoly, segmentNearPoly, segmentsIntersect, segmentsIntersectOrNear, segmentsIntersectOrNear`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundaryCrossing.CrossingIntersection

    public BoundaryCrossing.CrossingIntersection(BoundaryCrossing.Collector collector)

Method Detail

### considerSegmentXRegion

    public boolean considerSegmentXRegion(GeoSegment segment,
                                          GeoRegion region)

  Calls Intersection.isSegmentNearRegion() to see if segment is near the region. We're going to assume that this is going to be called with segments ordered as they appear in the path, in case the path is kinda crazy, and then we can keep track of the crossings in the right order.

  Overrides:
    `considerSegmentXRegion` in class `Intersection`
  Returns:
    true if segment intersects region

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details